### Method

# EBackend CollectionBackend list_contacts_sources

since: 3.6

#### Declaration [src]

    GList*
    e_collection_backend_list_contacts_sources (
      ECollectionBackend* backend
    )

#### Description [src]

Returns a list of address book sources belonging to the data source collection managed by `backend`.

The sources returned in the list are referenced for thread-safety. They must each be unreferenced with `g_object_unref()` when finished with them. Free the returned `GList` itself with g_list_free().

An easy way to free the list properly in one step is as follows:

      g_list_free_full (list, g_object_unref);

Available since: 3.6

#### Return value

Type: A list of `ESource*`

A list of address book sources.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.